Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class CylinderInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.BarExtendInfo
              jet.report.xls.CylinderInfo

    public class CylinderInfo

extends BarExtendInfo

contains the information of Cylinder chart type in the file. The class extends chartTypeInfo

Field Summary

Fields inherited from class jet.report.xls.BarExtendInfo
`HF100STACKED, HNORMAL, HSTACKED, TRUE3D, VF100STACKED, VNORMAL, VSTACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`CylinderInfo(short dataLabel, short style)` Constructs class CylinderInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart

Methods inherited from class jet.report.xls.BarExtendInfo
`getSpbBars, getSpbCats, getStyle, hasShadow, setSpbBars, setSpbCats, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CylinderInfo

    public CylinderInfo(short dataLabel,
                        short style)

  Constructs class CylinderInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Style of BarExtendInfo

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `BarExtendInfo`
  Returns:
    type of the chart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD